package main

import (
	"go.wit.com/dev/alexflint/arg"
	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
	"go.wit.com/lib/protobuf/forgepb"
	"go.wit.com/lib/protobuf/gitpb"
)

var me *mainType

// this app's variables
type mainType struct {
	pp          *arg.Parser          // for parsing the command line args.  Yay to alexf lint!
	goSrc       string               // path to ~/go/src or go.work file
	goPath      string               // the goPath to use for the package
	hasWork     bool                 // true if using go.work file
	forge       *forgepb.Forge       // the interface to the 'forge' protobuf information
	repo        *gitpb.Repo          // this is the repo we are in
	myGui       *gui.Node            // the gui toolkit handle
	cBox        *controlBox          // the GUI box in the main window
	basicWindow *gadgets.BasicWindow // this is a basic window. the user can open and close it
}
